<template>
 <container fluid>
   <v-row>
     <v-col cols='12'>
       <offer-create-form v-if='authInfo' :auth-info='authInfo' />
     </v-col>
   </v-row>
 </container>
</template>

<script lang='ts'>

import Vue from 'vue';
import Component from 'vue-class-component';
import OfferCreateForm from '@/components/offers/OfferCreateForm.vue';
import { AuthInfoResponse } from '@/domain/response/auth/info/AuthInfoResponse';

@Component({
  components: {
    OfferCreateForm
  }
})
export default class OfferCreateView extends Vue {
  private get authInfo(): AuthInfoResponse {
    return this.$store.getters['auth/info'];
  }
}

</script>

<style scoped>

</style>
